import logging
import sys
from logging.handlers import RotatingFileHandler


def setup_logging(log_file="app.log", show_debug_msg=False, print_console=True):
    handles = [RotatingFileHandler(log_file, maxBytes=10 * 1024 * 1024, backupCount=10, encoding="utf-8")]
    if print_console:
        handles.append(logging.StreamHandler(sys.stdout))

    logging.basicConfig(level=logging.DEBUG if show_debug_msg else logging.INFO,  # 设置日志级别
        format='%(asctime)s - %(name)s - %(levelname)s - %(message)s',
        handlers=handles)
