from urdf_parser_py.urdf import Robot, name_attribute, Link, Joint, Material
import urdf_parser_py.xml_reflection as xmlr

xmlr.start_namespace('urdf')


class RobotType(xmlr.Object):
    def __init__(self, name=None, value=None):
        self.name = name
        self.value = value

    def check_valid(self):
        pass


xmlr.reflect(RobotType, tag='robot_type', params=[
    name_attribute,
    xmlr.Attribute('value', str),
])


class URDFRobot(Robot):
    def __init__(self, name=None, version="1.0"):
        super(URDFRobot, self).__init__(name, version)

        self.robot_types: list = []


xmlr.reflect(URDFRobot, tag='robot', params=[
    xmlr.Attribute('name', str),
    xmlr.Attribute('version', str, False),
    xmlr.AggregateElement('link', Link),
    xmlr.AggregateElement('joint', Joint),
    xmlr.AggregateElement('gazebo', xmlr.RawType()),
    xmlr.AggregateElement('material', Material),
    xmlr.AggregateElement('robot_type', RobotType),
])
xmlr.end_namespace()
